> ## Documentation Index
> Fetch the complete documentation index at: https://vas-partner-api-docs.finpaytech.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Customer



## OpenAPI

````yaml /openapi.json post /api/v1/merchants/me/customers
openapi: 3.1.0
info:
  title: Emaal Virtual Accounts API
  version: 1.0.0
  description: Merchant collection APIs. Base URL https://vas.finpaytech.co/business-api
servers:
  - url: https://vas.finpaytech.co/business-api
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Virtual Accounts
  - name: Customers
  - name: Invoice VA
  - name: Payer Instructions
  - name: Payments
  - name: Webhooks
paths:
  /api/v1/merchants/me/customers:
    post:
      tags:
        - Customers
      summary: Create Customer
      operationId: createCustomer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomerRequest'
            example:
              displayName: Jane Wanjiku
              externalRef: crm-44019
              email: jane@example.com
              phone: '254712345678'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerResponse'
              example:
                id: c0a80101-7b2c-4d11-9e4a-111111111111
                merchantId: 301f0991-8f7c-4501-a1d4-c317fe7b7f23
                subMerchantId: null
                externalRef: crm-44019
                displayName: Jane Wanjiku
                email: jane@example.com
                phone: '254712345678'
                status: ACTIVE
                createdAt: '2026-09-09T09:00:00.000Z'
components:
  schemas:
    CreateCustomerRequest:
      type: object
      required:
        - displayName
      properties:
        subMerchantId:
          type: string
          format: uuid
        externalRef:
          type: string
        displayName:
          type: string
        email:
          type: string
        phone:
          type: string
    CustomerResponse:
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: PASETO
      description: Access token from POST /api/v1/auth/login

````